Skip to content

Callback

For client to receive transaction message, please check the callback implementation guide to learn more about callback implementations.

Endpoint

POST https://api.mycactus.dev/[Client Url]
POST https://api.mycactus.com/[Client URL]

Parameters

Body Parameters

FieldTypeDescription
domain_id
Required
StringEnterprise ID
b_id
Required
StringBusiness line ID
wallet_code
Required
StringWallet ID
order_id
Required
StringOrder ID
confirmations
Required
IntegerBlock Confirmation
event_status
Required
StringDifferent status for various event type
WITHDRAW: PROCESSING, PARTIALLY_FAILED, MANUAL_APPROVAL, FAILED, ORDER_SEND_OUT, FINISHED, CANCELED, WAITING_FOR_APPROVAL, REJECTED

DEPOSIT: UNCONFIRMED, CONFIRMED, ROLLBACKED, ROLLBACKED_RBF, FROZEN, FROZEN_REFUND_WAITING_ADDRESS, REFUNDED
event_type
Required
StringEvent Type
Allowed values: WITHDRAW, DEPOSIT, DEPOSIT_ROLLBACK, EXECUTE_CONTRACT, SIGN, REBASE,NFT_DEPOSIT
detail_id
Required
StringWallet Detail ID (When more than one ID exists, they are split by commas).

Request Body Example

{
    "domain_id": "a5b3f782c4e24c688eca60946442a75f",
    "b_id": "ed70ff75b1fe4994a3bd836befe0e87f",
    "wallet_code": "CHBTC4813422686",
    "order_id": "666666000000001",
    "confirmations": 6,
    "event_status": "FINISHED",
    "event_type": "WITHDRAW",
    "detail_id": "12345,12346"
}

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success, indicates that the client has completed processing and no further notifications will be sent; otherwise, the callback will be repeatedly invoked.)
messageStringResponse message
dataStringCallback Address
successfulBooleanWhether the request was successful

Response Example

{
    "code": 0,
    "message": "",
    "data": null,
    "successful": true
}